> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Create dashboard

> Create a Dashboard.



## OpenAPI

````yaml https://api.vantage.sh/v2/oas_v3.json post /dashboards
openapi: 3.0.1
info:
  title: Vantage
  description: Vantage API
  termsOfService: https://www.vantage.sh/terms-of-use
  contact:
    name: Vantage Support
    url: https://www.vantage.sh
    email: support@vantage.sh
  version: 2.0.0
servers:
  - url: https://api.vantage.sh/v2
security:
  - oauth2:
      - read
tags:
  - name: AccessGrants
    description: Operations about AccessGrants
  - name: AccessPolicies
    description: Operations about AccessPolicies
  - name: Annotations
    description: Operations about Annotations
  - name: AnomalyAlerts
    description: Operations about AnomalyAlerts
  - name: AnomalyNotifications
    description: Operations about AnomalyNotifications
  - name: AuditLogs
    description: Operations about AuditLogs
  - name: BillingProfiles
    description: Operations about BillingProfiles
  - name: BillingRules
    description: Operations about BillingRules
  - name: BudgetAlerts
    description: Operations about BudgetAlerts
  - name: Budgets
    description: Operations about Budgets
  - name: BusinessMetrics
    description: Operations about BusinessMetrics
  - name: Canvases
    description: Operations about Canvases
  - name: CostAlertEvents
    description: Operations about CostAlertEvents
  - name: CostAlerts
    description: Operations about CostAlerts
  - name: CostProvider
    description: Operations about CostProviders
  - name: CostProviderAccounts
    description: Operations about CostProviderAccounts
  - name: Costs
    description: Operations about Costs
  - name: CostService
    description: Operations about CostServices
  - name: DashboardNotifications
    description: Operations about DashboardNotifications
  - name: Dashboards
    description: Operations about Dashboards
  - name: DataExports
    description: Operations about DataExports
  - name: EnrichmentSources
    description: Operations about EnrichmentSources
  - name: EnrichmentStatistics
    description: Operations about EnrichmentStatistics
  - name: ExchangeRates
    description: Operations about ExchangeRates
  - name: FinancialCommitmentReports
    description: Operations about FinancialCommitmentReports
  - name: FinancialCommitments
    description: Operations about FinancialCommitments
  - name: Folders
    description: Operations about Folders
  - name: Integrations
    description: Operations about Integrations
  - name: Invoices
    description: Operations about Invoices
  - name: KubernetesEfficiencyReports
    description: Operations about KubernetesEfficiencyReports
  - name: ManagedAccounts
    description: Operations about ManagedAccounts
  - name: Me
    description: Operations about Mes
  - name: NetworkFlowLogs
    description: Operations about NetworkFlowLogs
  - name: NetworkFlowReports
    description: Operations about NetworkFlowReports
  - name: OpenAPISpecification
    description: Operations about OpenAPISpecifications
  - name: Ping
    description: Operations about Pings
  - name: Prices
    description: Operations about Prices
  - name: Recommendations
    description: Operations about Recommendations
  - name: RecommendationViews
    description: Operations about RecommendationViews
  - name: ReportForecasts
    description: Operations about ReportForecasts
  - name: ReportNotifications
    description: Operations about ReportNotifications
  - name: ResourceReports
    description: Operations about ResourceReports
  - name: Resources
    description: Operations about Resources
  - name: SavedFilters
    description: Operations about SavedFilters
  - name: ScenarioModels
    description: Operations about ScenarioModels
  - name: Segments
    description: Operations about Segments
  - name: Tags
    description: Operations about Tags
  - name: Teams
    description: Operations about Teams
  - name: UnitCosts
    description: Operations about UnitCosts
  - name: UserFeedback
    description: Operations about UserFeedbacks
  - name: Users
    description: Operations about Users
  - name: VirtualTags
    description: Operations about VirtualTags
  - name: Workspaces
    description: Operations about Workspaces
paths:
  /dashboards:
    post:
      tags:
        - Dashboards
        - Costs
      summary: Create dashboard
      description: Create a Dashboard.
      operationId: createDashboard
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/createDashboard'
        required: true
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Dashboard'
              example:
                token: dshbrd_165e758f38903d96
                title: New Dashboard
                widget_tokens:
                  - fncl_cmnt_rprt_9e3d55357851a07e
                  - kbnts_eff_rprt_dd1de14ecbcc666a
                  - rprt_470302eee1030d05
                widgets:
                  - token: dshbrd_wdgt_0f68cc77fa8eefd4
                    widgetable_token: fncl_cmnt_rprt_9e3d55357851a07e
                    title: All Financial Commitments
                    settings:
                      display_type: chart
                      grid:
                        x: 0
                        'y': 0
                        w: 4
                        h: 3
                  - token: dshbrd_wdgt_424d9a64db2f08ea
                    widgetable_token: kbnts_eff_rprt_dd1de14ecbcc666a
                    title: Quinoa forage kale chips austin hashtag.
                    settings:
                      display_type: table
                      grid:
                        x: 4
                        'y': 0
                        w: 4
                        h: 3
                  - token: dshbrd_wdgt_e0e7053dc5fca7aa
                    widgetable_token: rprt_470302eee1030d05
                    title: Untitled
                    settings:
                      display_type: chart
                      grid:
                        x: 8
                        'y': 0
                        w: 4
                        h: 3
                  - token: dshbrd_wdgt_95ce398292cc13be
                    widgetable_type: free_text
                    title: Notes
                    content:
                      type: doc
                      content:
                        - type: paragraph
                          content:
                            - type: text
                              text: Dashboard notes
                saved_filter_tokens:
                  - svd_fltr_3b38b91699d21a2e
                date_bin: week
                date_interval: this_month
                start_date: '2023-08-01'
                end_date: '2023-08-31'
                created_at: '2023-08-15T00:00:00Z'
                updated_at: '2023-08-15T00:00:00Z'
                workspace_token: wrkspc_3159fd6a40906a33
        '400':
          description: BadRequest
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
      security:
        - oauth2:
            - write
components:
  schemas:
    createDashboard:
      required:
        - title
      type: object
      properties:
        title:
          type: string
          description: The title of the Dashboard.
        widgets:
          type: array
          description: >-
            The widgets to add to the Dashboard. Report-backed widgets use
            widgetable_token. Free text widgets use widgetable_type set to
            free_text and require content.
          items:
            type: object
            properties:
              widgetable_token:
                type: string
                description: The token of the represented Resource.
              widgetable_type:
                type: string
                description: The widget type. Use free_text for a free text widget.
                enum:
                  - free_text
              title:
                type: string
                description: >-
                  The title of the Widget (defaults to the Resource title, or
                  Free Text for a free text widget).
              content:
                required:
                  - type
                type: object
                properties:
                  type:
                    type: string
                    description: Document root. Must be doc.
                    enum:
                      - doc
                  content:
                    type: array
                    items:
                      type: object
                      properties: {}
                description: >-
                  Rich-text document for a free text widget, for example
                  {"type":"doc","content":[{"type":"paragraph","content":[{"type":"text","text":"Note"}]}]}.
              settings:
                required:
                  - display_type
                type: object
                properties:
                  display_type:
                    type: string
                    enum:
                      - table
                      - chart
                      - kpi
                  kpi_calculation:
                    type: string
                    description: The aggregation used when display_type is kpi.
                    enum:
                      - sum
                      - average
                    x-omitempty: true
                  kpi_type:
                    type: string
                    description: The metric represented when display_type is kpi.
                    enum:
                      - cost
                      - usage
                      - count
                      - business_metric
                    x-omitempty: true
                  kpi_usage_unit:
                    type: string
                    description: The usage unit represented when kpi_type is usage.
                    x-omitempty: true
                  grid:
                    required:
                      - h
                      - w
                      - x
                      - 'y'
                    type: object
                    properties:
                      x:
                        maximum: 11
                        minimum: 0
                        type: integer
                        description: The zero-based horizontal position.
                        format: int32
                      'y':
                        type: integer
                        description: The zero-based vertical position.
                        format: int32
                      w:
                        maximum: 12
                        minimum: 1
                        type: integer
                        description: The widget width in grid columns.
                        format: int32
                      h:
                        type: integer
                        description: The widget height in grid rows.
                        format: int32
                    description: >-
                      The widget's size and position in the dashboard's
                      12-column grid.
                    x-omitempty: true
                description: The display and grid layout settings for the DashboardWidget.
                x-omitempty: true
        saved_filter_tokens:
          type: array
          description: The tokens of the Saved Filters used in the Dashboard.
          items:
            type: string
        date_bin:
          type: string
          description: Determines how to group costs in the Dashboard.
          enum:
            - cumulative
            - day
            - week
            - month
        date_interval:
          type: string
          description: >-
            Determines the date range in the Dashboard. Incompatible with
            'start_date' and 'end_date' parameters.
          enum:
            - this_month
            - last_7_days
            - last_30_days
            - last_month
            - last_3_months
            - last_6_months
            - custom
            - last_12_months
            - last_24_months
            - last_36_months
            - next_month
            - next_3_months
            - next_6_months
            - next_12_months
            - year_to_date
            - last_3_days
            - last_14_days
        start_date:
          type: string
          description: >-
            The start date for the date range for costs in the Dashboard. ISO
            8601 Formatted. Incompatible with 'date_interval' parameter.
        end_date:
          type: string
          description: >-
            The end date for the date range for costs in the Dashboard. ISO 8601
            Formatted. Incompatible with 'date_interval' parameter.
        workspace_token:
          type: string
          description: >-
            The token of the Workspace to add the Dashboard to. Required if the
            API token is associated with multiple Workspaces.
      description: Create a Dashboard.
    Dashboard:
      required:
        - created_at
        - date_bin
        - date_interval
        - saved_filter_tokens
        - title
        - token
        - updated_at
        - widgets
        - workspace_token
      type: object
      properties:
        token:
          type: string
          nullable: false
          example: dshbrd_abcd1234567890
        title:
          type: string
          description: The title of the Dashboard.
          nullable: false
          example: AWS Dashboard
        widgets:
          type: array
          description: >-
            The widgets displayed in the Dashboard. Report-backed widgets
            include widgetable_token and settings. Free text widgets include
            widgetable_type set to free_text and content, omit widgetable_token,
            and include settings when a grid layout is persisted.
          items:
            $ref: '#/components/schemas/DashboardWidget'
        saved_filter_tokens:
          type: array
          description: The tokens of the Saved Filters used in the Dashboard.
          nullable: false
          items:
            type: string
        date_bin:
          type: string
          description: Determines how to group costs in the Dashboard.
          nullable: true
          enum:
            - cumulative
            - day
            - week
            - month
        date_interval:
          type: string
          description: >-
            Determines the date range for Reports in the Dashboard. Guaranteed
            to be set to 'custom' if 'start_date' and 'end_date' are set.
          nullable: true
          enum:
            - this_month
            - last_7_days
            - last_30_days
            - last_month
            - last_3_months
            - last_6_months
            - custom
            - last_12_months
            - last_24_months
            - last_36_months
            - next_month
            - next_3_months
            - next_6_months
            - next_12_months
            - year_to_date
            - last_3_days
            - last_14_days
        start_date:
          type: string
          description: >-
            The start date for the date range for Reports in the Dashboard. ISO
            8601 Formatted. Overwrites 'date_interval' if set.
          nullable: true
          example: '2023-08-04'
        end_date:
          type: string
          description: >-
            The end date for the date range for Reports in the Dashboard. ISO
            8601 Formatted. Overwrites 'date_interval' if set.
          nullable: true
          example: '2023-09-04'
        created_at:
          type: string
          description: >-
            The date and time, in UTC, the Dashboard was created. ISO 8601
            Formatted.
          nullable: false
          example: '2023-08-04T00:00:00Z'
        updated_at:
          type: string
          description: >-
            The date and time, in UTC, the Dashboard was created. ISO 8601
            Formatted.
          nullable: false
          example: '2023-08-04T00:00:00Z'
        workspace_token:
          type: string
          description: The token for the Workspace the Dashboard is a part of.
          nullable: false
          example: wrkspc_abcd1234567890
      description: Dashboard model
    Errors:
      required:
        - errors
      type: object
      properties:
        links:
          $ref: '#/components/schemas/Links'
        errors:
          type: array
          nullable: false
          items:
            type: string
      description: Errors model
    DashboardWidget:
      required:
        - title
        - token
      type: object
      properties:
        token:
          type: string
          description: The token of the Dashboard Widget.
          nullable: false
          example: dshbrd_wdgt_a12b3c
        widgetable_token:
          type: string
          description: The token of the represented Resource.
          nullable: false
          example: rprt_a12b3c
        widgetable_type:
          type: string
          description: >-
            The widget type. Present instead of widgetable_token for free text
            widgets.
          nullable: false
          enum:
            - free_text
        title:
          type: string
          description: The title of the Widget.
          nullable: false
          example: My Widget
        content:
          type: object
          properties: {}
          description: >-
            Rich-text document for a free text widget, for example
            {"type":"doc","content":[{"type":"paragraph","content":[{"type":"text","text":"Note"}]}]}.
          nullable: true
        settings:
          $ref: '#/components/schemas/DashboardWidgetSettings'
      description: DashboardWidget model
    Links:
      type: object
      properties:
        self:
          type: string
          description: The URL of the current page of results.
          nullable: true
        first:
          type: string
          description: The URL of the first page of results.
          nullable: true
        next:
          type: string
          description: The URL of the next page of results, if one exists.
          nullable: true
        last:
          type: string
          description: The URL of the last page of results, if one exists.
          nullable: true
        prev:
          type: string
          description: The URL of the previous page of results, if one exists.
          nullable: true
    DashboardWidgetSettings:
      required:
        - display_type
      type: object
      properties:
        display_type:
          type: string
          nullable: false
          enum:
            - table
            - chart
            - kpi
        kpi_calculation:
          type: string
          description: The aggregation used when display_type is kpi.
          nullable: true
          enum:
            - sum
            - average
        kpi_type:
          type: string
          description: The metric represented by the KPI.
          nullable: true
          enum:
            - cost
            - usage
            - count
            - business_metric
        kpi_usage_unit:
          type: string
          description: The usage unit represented by the KPI.
          nullable: true
        grid:
          $ref: '#/components/schemas/DashboardWidgetGridLayout'
    DashboardWidgetGridLayout:
      required:
        - h
        - w
        - x
        - 'y'
      type: object
      properties:
        x:
          type: integer
          description: The zero-based horizontal position in the 12-column grid.
          format: int32
          nullable: false
        'y':
          type: integer
          description: The zero-based vertical position in the grid.
          format: int32
          nullable: false
        w:
          type: integer
          description: The widget width in grid columns.
          format: int32
          nullable: false
        h:
          type: integer
          description: The widget height in grid rows.
          format: int32
          nullable: false
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://console.vantage.sh/account/profile
          scopes:
            read: Grants read access
            write: Grants write access

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.